Subject: Re: Announcing Filespooler

From: John Goerzen <[email-masked]>
Date: Tue, 31 May 2022 12:13:38 -0500

I realized that Filespooler without queues can make a perfect
augmentation to nncp-exec, allowing you to pass along environment
variables in addition to commands.  I wrote a page for that here:

https://www.complete.org/using-filespooler-without-queues-to-pass-more-metadata/

On Sun, May 29 2022, John Goerzen wrote:

> Hi folks,
>
> After writing a forced-ordering program in shell for the nth time - for
> handling things like incremental backups that can arrive in arbitrary
> order from nncp-exec or nncp-file - I finally wrote it properly.
>
> https://www.complete.org/filespooler/
>
> I use it with NNCP, though it is a generic enough algorithm that it can
> also use Syncthing, S3, etc. as a transport.  Filespooler itself is a
> Unixy tool, and provides no transport mechanism by itself; instead, it
> can rely on anything you can pipe to, or anything like a filesystem.  In
> fact, both nncp-exec and nncp-file and feed to it:
>
> https://www.complete.org/using-filespooler-over-nncp/
>
> My other tool gitsync-nncp can also run over Filespooler:
>
> https://www.complete.org/gitsync-nncp-over-filespooler/
>
> Enjoy,
>
> - John